apeman-task-contrib-jsdoc
======

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

Apeman task contribution plugin to generate jsdoc.


Installation
-------

Install module via [npm][npm_url]

```bash
$ npm install apeman-task-contrib-jsdoc --save-dev
```

Usage
-------

Define a task at `$tasks` property in you Apemanfile.

```javascript
/**
 * This is example Apemanfile to use "apeman-task-contrib-jsdoc".
 * @see https://github.com/jadejs/jade
 */

"use strict";

module.exports = {
    $pkg: {/*...*/},
    $tasks: {
        // Define your own task.
        "my-task-01": require('apeman-task-contrib-jsdoc')("README.md", "lib/**/*.js", {
                "verbose": true,
                "tutorials": "docs/tutorials",
                "destination": "docs/apiguide",
                "template": "node_modules/ink-docstrap/template",
                "configure": "docs/.apiguide.json"
        });
    }
};
```

Then, run the task via [apeman task command][apeman_task_doc_url].

```bash
# Run the task from CLI.
$ apeman task "my-task-01"
```

Option
-------

Values which can be passed to `$options` property.

| Name | Type | Description |
| ---- | ---- | ----------- |
| verbose | Boolean | Shows verbose log. |
| tutorials | String | File path of tutorial markdowns |
| destination | String | Destination file path |
| template | String | File path of template. |
| configure | String | Config json file path |


License
-------

This software is released under the [MIT License][my_license_url].


Links
-------

+ [apeman][apeman_url]
+ [jade](https://github.com/jadejs/jade)


[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[apeman_task_doc_url]: https://github.com/apeman-repo/apeman#task
[my_repo_url]: https://github.com/apeman-repo/apeman-task-contrib-jsdoc
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-task-contrib-jsdoc
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-task-contrib-jsdoc.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-task-contrib-jsdoc/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-task-contrib-jsdoc
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-task-contrib-jsdoc.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-task-contrib-jsdoc.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-task-contrib-jsdoc
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-task-contrib-jsdoc.svg?style=flat
[coz_url]: http://okunishinishi.github.io/node-coz/apiguide


